#include <bits/stdc++.h>
#include "triangles.h"
using namespace std;

vector<vector<int>> solve(int n) {
    vector<Triangle> a;
    vector<Triangle> b;
    vector<Triangle> c;
    int e;
    Triangle x = {0, 1, 2};
    Triangle y = {0, 1, 3};
    Triangle z = {0, 2, 3};
    Triangle t = {1, 2, 3};
    vector<int> xx = {0, 1, 2};
    vector<int> yy = {0, 1, 3};
    vector<int> zz = {0, 2, 3};
    vector<int> tt = {1, 2, 3};
    a = {x, y, z};
    b = {t};
    e = compare(a, b);
    if (e == 0) {
        return {tt};
        return {xx, yy, zz};
    }
    a = {x, y, t};
    b = {z};
    e = compare(a, b);
    if (e == 0) {
        return {zz};
        return {xx, yy, tt};
    }
    a = {x, z, t};
    b = {y};
    e = compare(a, b);
    if (e == 0) {
        return {yy};
        return {xx, zz, tt};
    }
    a = {y, z, t};
    b = {x};
    e = compare(a, b);
    if (e == 0) {
        return {xx};
        return {yy, zz, tt};
    }
    // Triangle x = {0, 1, 2};
    // Triangle y = {0, 1, 3};
    // Triangle z = {0, 2, 3};
    // Triangle t = {1, 2, 3};
    e = 0;
    a = {y, z};
    b = {y, t};
    c = {z, t};
    e = compare(c, a) + compare(c, b);
    if (e == 0) {
        return {zz,tt};
    }
    e = compare(a, b) + compare(a, c);
    if (e == 0) {
        return {yy, zz};
    }
    e = compare(b, a) + compare(b, c);
    if (e == 0) {
        return {yy,tt};
    }
}